//--  File : bwsutil.h (exported version 1.00 on Dec 15, 1993)
//--
//--  Owner: Brad Stumpf
//--
//--

//--  User System Flag definitions
#define USERSYSFLAG_NOTIFY_BEEP     0x00004000L

//--  General code cleanup and bit flag usage definitions
#define BWS_SET_NOTIFY_BEEP       SysSetUserFlags( SysQUserFlags() |  USERSYSFLAG_NOTIFY_BEEP )
#define BWS_RESET_NOTIFY_BEEP     SysSetUserFlags( SysQUserFlags() & ~USERSYSFLAG_NOTIFY_BEEP )
#define BWS_TEST_NOTIFY_BEEP      ( SysQUserFlags() & (USERSYSFLAG_NOTIFY_BEEP) )

#define CHECK_MIN       {if ( ( WinQSysFlags()& WINDOW_MINIMIZED ) \
                           || ( SysQFlags()& SYSFLAG_WIN_MINIMIZED ) ) \
                           { SysBeep(); return; }}
#define CHECK_MIN_BOOL  {if ( ( WinQSysFlags()& WINDOW_MINIMIZED ) \
                           || ( SysQFlags()& SYSFLAG_WIN_MINIMIZED ) ) \
                           { SysBeep(); return FALSE; }}
#define CHECK_MIN_X     {if ( ( WinQSysFlags()& WINDOW_MINIMIZED ) \
                           || ( SysQFlags()& SYSFLAG_WIN_MINIMIZED ) ) \
                           { SysBeep(); return X; }}


//--  Definitions for 'bwsutil.c'
LPSTR DLL _BWS_file_oper_prompt( LPSTR oper );
void DLL BWS_notify_beep( void );
void DLL BWS_toggle_notify_beep( void );
long DLL BWS_WinQLastLine( void );
BOOL DLL BWS_WriteVisibleLines( UINT LineNumCols, LPSTR lpBuf );
HBUFFER DLL BWS_BufQNext( BOOL bSystem );
HBUFFER DLL BWS_BufQPrev( BOOL bSystem );
void DLL BWS_EditNextBuffer( void );
void DLL BWS_EditPrevBuffer( void );

void DLL BWS_BR_edit_file( void );
void DLL BWS_BR_read_file( void );
void DLL BWS_BR_load_macro( void );
void DLL BWS_BR_delete_macro( void );
void DLL BWS_output_file( void );
void DLL BWS_write_buffer( void );
void DLL BWS_BR_qkey( void );
